%define major 2
%define gir_major 1.0
%define libname %mklibname %{name} %{major}
%define libprivate %mklibname colordprivate %{major}
%define libhug %mklibname colorhug %{major}
%define girname %mklibname %{name}-gir %{gir_major}
%define devname %mklibname %{name} -d

Summary:	Color daemon
Name:		colord
Version:	1.2.0
Release:	2
License:	GPLv2+ and LGPLv2+
Group:		System/X11
Url:		http://www.freedesktop.org/software/colord/
Source0:	http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
BuildRequires:	argyllcms
BuildRequires:	bash-completion
BuildRequires:	docbook-utils
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	vala-tools
BuildRequires:	sane-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gusb)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	bash-completion-devel
Requires(pre,postun):	rpm-helper
Requires:	systemd-units
Obsoletes:	%{girname} < 1.0.4
Provides:	%{girname} = %{EVRD}
Obsoletes:	shared-color-profiles < 0.1.6-3
Provides:	shared-color-profiles = %{EVRD}

%description
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

%files -f %{name}.lang
%doc README.md NEWS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
/lib/udev/rules.d/*.rules
%{_bindir}/*
%{_libdir}/colord
%{_libdir}/colord-plugins/*
%{_libdir}/colord-sane
%{_libdir}/colord-sensors
%{_libdir}/colord-session
%dir %{_datadir}/color/icc/colord
%{_datadir}/color/icc/colord/*.ic?
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/colord/*
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%{_datadir}/man/man1/*.1.*
%attr(755,colord,colord) %dir %{_localstatedir}/lib/colord
%attr(755,colord,colord) %dir %{_localstatedir}/lib/colord/icc
%ghost %{_localstatedir}/lib/colord/*.db
%{_systemunitdir}/*.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorHelper.xml
%{_datadir}/dbus-1/services/org.freedesktop.ColorHelper.service
%{_datadir}/glib-2.0/schemas/org.freedesktop.ColorHelper.gschema.xml
%{_libdir}/girepository-1.0/ColorHug-*.typelib
%{_libdir}/girepository-1.0/Colord-%{gir_major}.typelib
%{_datadir}/bash-completion/completions/colormgr

%pre
%_pre_useradd colord /var/lib/colord /sbin/nologin
%_pre_groupadd colord colord

%postun
%_postun_userdel colord
%_postun_groupdel colord

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library package for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}1 < 1.2.0

%description -n %{libname}
Main library for %{name}.

%files -n %{libname}
%{_libdir}/libcolord.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libprivate}
Summary:	Library package for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}private1 < 1.2.0

%description -n %{libprivate}
Main library for %{name}.

%files -n %{libprivate}
%{_libdir}/libcolordprivate.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libhug}
Summary:	Library package for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}hug1 < 1.2.0

%description -n %{libhug}
Main library for %{name}.

%files -n %{libhug}
%{_libdir}/libcolorhug.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libprivate} = %{EVRD}
Requires:	%{libhug} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Files for development with %{name}.

%files -n %{devname}
%{_includedir}/colord-1
%{_libdir}/libcolor*.so
%{_libdir}/pkgconfig/color*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# Set ~2 GiB limit so that colprof is forced to work in chunks when
# generating the print profile rather than trying to allocate a 3.1 GiB
# chunk of RAM to put the entire B-to-A tables in.
ulimit -Sv 2000000
%configure \
	--with-daemon-user=colord \
	--with-systemdsystemunitdir=%{_systemunitdir} \
	--enable-vala \
	--enable-sane \
	--enable-print-profiles \
	--with-daemon-user=colord \
	--disable-static \
	--disable-rpath \
	--disable-examples \
	--disable-silent-rules \
	--disable-dependency-tracking

%make

%install
%makeinstall_std

# databases
touch %{buildroot}%{_localstatedir}/lib/colord/mapping.db
touch %{buildroot}%{_localstatedir}/lib/colord/storage.db

%find_lang %{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.2.0-2
+ Revision: 98449ed
- MassBuild#440: Increase release tag


